@mixin setTheme($schema) {
	$lk: map-get($schema, "link");
	$ft: map-get($schema, "front");
	$bk: map-get($schema, "back");

	& {
		background-color: $bk;
		color: $ft;
		border-color: red;
	}

	::selection {
		background-color: lightup($bk, 19%, 41%);
		color: lighten($ft, $amount: 83%);
	}

	a[href],
	#UP {
		color: $lk;

		&:hover {
			color: lighten($lk, $amount: 13%);
		}

		&:focus {
			color: lighten($lk, $amount: 15%);
			text-shadow: 0 0 1pt lighten($lk, $amount: 27%);
		}
	}

	#body {
		pre, code {
			background-color: lightup($bk, 6%, 10%);
			border-color: lightup($bk, 13%, 13%);
		}
	}

	#social > a::after {
		color: $ft;
	}
}

/**
 * Return true if it's a dark color
 */
@function isDark($color) {
	@if lightness($color) < 50% {
		@return true;
	} @else {
		@return false;
	}
}


@function lightup($color, $lighten, $darken) {
	@if isDark($color) {
		@return lighten($color, $amount: $lighten);
	} @else {
		@return darken($color, $amount: $darken);
	}
}